# $Revision: 1.24 $, $Date: 2010/02/24 16:11:33 $
#
# Conditional build:
%bcond_with	krb5		# build with MIT Kerberos instead of Heimdal
#
Summary:	Transport Independent RPC Library
Summary(pl.UTF-8):	Biblioteka RPC niezależnego od transportu
Name:		libtirpc
Version:	0.2.1
Release:	1
Epoch:		1
License:	BSD-like
Group:		Libraries
Source0:	http://dl.sourceforge.net/sourceforge/libtirpc/%{name}-%{version}.tar.bz2
# Source0-md5:	d77eb15f464bf9d6e66259eaf78b2a4e
Patch0:		%{name}-link.patch
Patch1:		%{name}-heimdal.patch
Patch2:		%{name}-XDR_GETPOS.patch
URL:		http://sourceforge.net/projects/libtirpc/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with krb5}
BuildRequires:	libgssglue-devel >= 0.1
%else
BuildRequires:	heimdal-devel
BuildConflicts:	libgssglue-devel
%endif
BuildRequires:	libtool
BuildRequires:	pkgconfig
%if %{with krb5}
Requires:	libgssglue >= 0.1
%else
Requires:	heimdal-libs
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the Solaris
2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System
V Transport Layer Interface (TLI) or an equivalent X/Open Transport
Interface (XTI). TI-RPC is on-the-wire compatible with the TS-RPC,
which is supported by almost 70 vendors on all major operating
systems. TS-RPC source code (RPCSRC 4.0) remains available from
several Internet sites.

%description -l pl.UTF-8
Ten pakiet zawiera implementację SunLib RPC niezależnego od transportu
(TI-RPC). Ta biblioteka tworzy element podstawy dla ONC (Open Network
Computing) i wywodzi się bezpośrednio ze źródeł Solarisa 2.3.

TI-RPC to rozszerzona wersja TS-RPC wymagająca TLI (UNIX System V
Transport Layer Interface). Jest kompatybilna w locie z TS-RPC,
obsługiwanym przez prawie 70 producentów dla wszystkich znaczących
systemów operacyjnych. Kod źródłowy TS-RPC (RPCSRC 4.0) pozostaje
dostępny z różnych stron internetowych.

%package devel
Summary:	Development files for the TI-RPC library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki TI-RPC
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
%if %{with krb5}
Requires:	libgssglue-devel >= 0.1
%else
Requires:	heimdal-devel
%endif

%description devel
This package includes header files necessary for developing programs
which use the TI-RPC library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
wykorzystujących bibliotekę TI-RPC.

%package static
Summary:	Static TI-RPC library
Summary(pl.UTF-8):	Statyczna biblioteka TI-RPC
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package includes static TI-RPC library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę TI-RPC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gss

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib},%{_mandir}/man{3,5}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C doc install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo lib*.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libtirpc.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/netconfig
%attr(755,root,root) /%{_lib}/libtirpc.so.*.*
%ghost %attr(755,root,root) /%{_lib}/libtirpc.so.1
%{_mandir}/man5/netconfig.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtirpc.so
%{_libdir}/libtirpc.la
%{_includedir}/tirpc
%{_pkgconfigdir}/libtirpc.pc
%{_mandir}/man3/*.3t*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtirpc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtirpc.spec,v $
Revision 1.24  2010/02/24 16:11:33  baggins
- up to 0.2.1

Revision 1.23  2009/07/02 14:08:05  baggins
- rel 3
- reverse heimdal bcond to krb5, build with heimdal

Revision 1.22  2009/07/02 12:19:09  baggins
- removed unnecessary conflicts

Revision 1.21  2009/07/01 19:49:24  baggins
- rel 2
- fix problems with gssd segfaulting due to libtirpc trying to checksum
  a buffer of -1 bytes length

Revision 1.20  2009/06/30 22:20:01  baggins
- up to 0.2.0
- removed obsolete git patch

Revision 1.19  2009/06/30 13:09:30  baggins
- more C/R

Revision 1.18  2009/06/30 13:04:42  baggins
- rel 6
- added heimdal bcond and patch allowing to use heimdal-gssapi in place of libgssglue

Revision 1.17  2009/04/02 21:58:37  qboosh
- more verbose files

Revision 1.16  2009/03/22 00:31:04  glen
- rel 5, fixes from git
  solves LP#346560

Revision 1.15  2009/03/04 22:02:52  baggins
- rel 4
- added fixes from GIT

Revision 1.14  2008/11/27 21:44:56  baggins
- rel 3

Revision 1.13  2008/11/27 21:26:13  baggins
- rel 2
- use epoch in internal deps

Revision 1.12  2008/11/27 21:22:36  baggins
- up to 0.1.10 (YES, 0.1.10 IS newer than 1.0.8)
- epoch 1
- removed outdated/obsolete patches

Revision 1.11  2008/09/29 13:30:45  pluto
- release 4 for rebuild with proper libgssglue deps.

Revision 1.10  2008-05-07 21:13:07  arekm
- rel 3; find first netid (makes can't contact portmapper: RPC: Unknown host problem go away)

Revision 1.9  2008-05-07 20:33:35  arekm
- rel 2; readd svcauthnone

Revision 1.8  2008-05-07 20:24:02  arekm
- up to 1.0.8

Revision 1.7  2007/09/25 16:35:52  baggins
- rel 3
- fix IP4/6 addressing

Revision 1.6  2007/09/05 18:27:00  qboosh
- updated gssapi patch to use libgssglue

Revision 1.5  2007/05/17 18:37:18  qboosh
- added link patch
- -devel R: libgssapi-devel

Revision 1.4  2007/05/08 11:53:13  baggins
- rel 2
- added bugfixes from git tree

Revision 1.3  2007/04/29 16:47:24  qboosh
- pl

Revision 1.2  2007/04/24 13:32:59  baggins
- fixed license

Revision 1.1  2007/04/24 13:22:26  baggins
- initial revision
